<form [formGroup]="survey" novalidate (ngSubmit)="onSubmit(survey)">
  <!---Survey Section -->
  <div formArrayName="sections">
    <div
      class="section-container"
      *ngFor="let section of getSections(survey); let i = index"
    >
      <div class="ui raised segments" [formGroupName]="i">
        <h4 class="ui header">Section Details</h4>
        <input
          type="text"
          placeholder="Untitled form"
          formControlName="sectionTitle"
        />
        <input
          type="text"
          placeholder="Form Description"
          formControlName="sectionDescription"
        />
        <!-- Question segment -->
        <!---Survey Section -->
        <hr />
        <div class="question-container" formArrayName="questions">
          <div
            [formGroupName]="j"
            *ngFor="let question of getQuestions(section); let j = index"
          >
            <input
              type="text"
              placeholder="Untitled Question"
              formControlName="questionTitle"
            />
            <select formControlName="questionType">
              <option></option>
              <option>Check Boxes</option>
              <option>Free Text</option>
              <option>Rating</option>
              <option>Date</option>
              <option>Time</option>
            </select>

            <div *ngIf="survey.errors" class="alert alert-danger">
              {{ survey.errors }}
            </div>
            <hr />
            <a (click)="add(i, j)">Add Option</a>
            <a (click)="remove(i, j)">Remove whole options</a>
            <!-- Option Addation -->
            <div formArrayName="options">
              <div
                [formGroupName]="k"
                *ngFor="let option of getOptions(question); let k = index"
              >
                <input type="radio" disabled="disabled" />
                <input
                  type="text"
                  placeholder="Option 1"
                  formControlName="optionTitle"
                />

                <a (click)="remove(i, j)">R Option</a>
                <span
                  *ngIf="getOptions(question).length > 1"
                  (click)="removeOption(i, j, k)"
                  >Remove Option</span
                >
              </div>
              <!-- End Option Addition -->
              <!-- Option Addtion -->
              <!-- End Option Addition -->
            </div>
            <br />
            <a (click)="addQuestion(i)">Add Question...</a>
            <span
              *ngIf="getQuestions(section).length > 1"
              (click)="removeQuestion(i)"
              >Remove Question</span
            >
          </div>
          <br />
        </div>
        <!-- End Question -->
      </div>
      <br />
      <button (click)="addSection()" class="point">Add Section</button>
      <span *ngIf="getSections(survey).length > 1" (click)="removeSection(i)"
        >Remove Section</span
      >
    </div>
  </div>
  <!-- End Section -->
</form>

<pre> {{ survey.value | json }} </pre>
